Commit c96d5420 authored by A. Täffner's avatar A. Täffner

removed unneeded db permission and enhanced error handling on low entropy

parent 204521a8
......@@ -667,13 +667,6 @@ class installer_base {
$this->warning('Unable to set rights of user in master database: '.$value['db']."\n Query: ".$query."\n Error: ".$this->dbmaster->errorMessage);
}
$query = "GRANT SELECT, UPDATE ON ?? TO ?@?";
if ($verbose){
echo $query ."\n";
}
if(!$this->dbmaster->query($query, $value['db'] . '.dns_rr', $value['user'], $host)) {
$this->warning('Unable to set rights of user in master database: '.$value['db']."\n Query: ".$query."\n Error: ".$this->dbmaster->errorMessage);
}
}
}
......
......@@ -94,7 +94,8 @@ class bind_plugin {
//* Check Entropy
if (file_get_contents('/proc/sys/kernel/random/entropy_avail') < 400) {
$app->log('DNSSEC ERROR: We are low on entropy. Not generating new Keys for '.$domain.'. Please consider installing package haveged.', LOGLEVEL_WARN);
$app->log('DNSSEC WARNING: We are low on entropy. This could cause server script to fail. Please consider installing package haveged.', LOGLEVEL_WARN);
echo "DNSSEC WARNING: We are low on entropy. This could cause server script to fail. Please consider installing package haveged.\n"
return false;
}
......@@ -179,6 +180,7 @@ class bind_plugin {
//* Check for available entropy
if (file_get_contents('/proc/sys/kernel/random/entropy_avail') < 200) {
$app->log('DNSSEC ERROR: We are low on entropy. This could cause server script to fail. Please consider installing package haveged.', LOGLEVEL_ERR);
echo "DNSSEC ERROR: We are low on entropy. This could cause server script to fail. Please consider installing package haveged.\n"
return false;
}
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment